import request from '@/utils/request'

// 查询特种设备变更申请列表
export function listModify(query) {
  return request({
    url: '/his/modify/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备变更申请详细
export function getModify(id) {
  return request({
    url: '/his/modify/' + id,
    method: 'get'
  })
}
// 查询特种设备变更申请详细
export function getApproveInfo(id) {
  return request({
    url: 'sems/his/modify/info/' + id,
    method: 'get'
  })
}

// 处理申请
export function handleApprove(data) {
  return request({
    url: '/sems/his/modify/handle',
    method: 'put',
    data: data
  })
}


// 新增特种设备变更申请
export function addModify(data) {
  return request({
    url: 'sems/his/modify',
    method: 'post',
    data: data
  })
}

// 修改特种设备变更申请
export function updateModify(data) {
  return request({
    url: '/his/modify',
    method: 'put',
    data: data
  })
}

// 删除特种设备变更申请
export function delModify(id) {
  return request({
    url: '/his/modify/' + id,
    method: 'delete'
  })
}

// 导出特种设备变更申请
export function exportModify(query) {
  return request({
    url: '/his/modify/export',
    method: 'get',
    params: query
  })
}
